Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class DocumentSentBackView
    Inherits BaseObject
    Private _CauseOfRefuse As String ' -- Visszaküldés oka
    Private _ReturnType As eDeliveryType ' -- Visszaküldés módja
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <RuleRequiredField("DocumentSentBackView-CauseOfRefuse", "DocumentSendBack_Context")> _
    Property CauseOfRefuse As String
        Get
            Return _CauseOfRefuse
        End Get
        Set(ByVal value As String)
            SetPropertyValue("CauseOfRefuse", _CauseOfRefuse, value)
        End Set
    End Property
    Property ReturnType As eDeliveryType
        Get
            Return _ReturnType
        End Get
        Set(ByVal value As eDeliveryType)
            SetPropertyValue("ReturnType", _ReturnType, value)
        End Set
    End Property
End Class

